Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface HTTPServiceConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface HTTPServiceConfig
extends ConfigElement, PropertiesAccess, Container

Configuration for the <http-service> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`AccessLogConfig` | `createAccessLogConfig(java.util.Map params)` Creates access-log element with the given params.
`ConnectionPoolConfig` | `createConnectionPoolConfig(java.util.Map params)` Creates connection-pool element with the given params.
`HTTPFileCacheConfig` | `createHTTPFileCacheConfig(java.util.Map params)` Creates http-file-cache element with the given params.
`HTTPListenerConfig` | `createHTTPListenerConfig(java.lang.String name, java.lang.String address, int port, java.lang.String defaultVirtualServer, java.lang.String serverName, java.util.Map optional)` Create an Parameters: `HTTPListenerConfigKeys.ADDRESS_KEY` `HTTPListenerConfigKeys.PORT_KEY` `HTTPListenerConfigKeys.ENABLED_KEY` `HTTPListenerConfigKeys.SECURITY_ENABLED_KEY` `HTTPListenerConfigKeys.DEFAULT_VIRTUAL_SERVER_KEY` `HTTPListenerConfigKeys.ACCEPTOR_THREADS_KEY` `HTTPListenerConfigKeys.XPOWERED_BY_KEY` `HTTPListenerConfigKeys.XPOWERED_BY_KEY` `CommonConfigKeys.IGNORE_MISSING_REFERENCES_KEY` (for defaultVirtualServer)
`HTTPProtocolConfig` | `createHTTPProtocolConfig(java.util.Map params)` Creates http-protocol element with the given params.
`KeepAliveConfig` | `createKeepAliveConfig(java.util.Map params)` Creates keep-alive element with the given params.
`RequestProcessingConfig` | `createRequestProcessingConfig(java.util.Map params)` Creates request-processing element with the given params.
`VirtualServerConfig` | `createVirtualServerConfig(java.lang.String name, java.lang.String hosts, java.util.Map optional)` Create a .
`AccessLogConfig` | `getAccessLogConfig()` Get the AccessLogConfig.
`ConnectionPoolConfig` | `getConnectionPoolConfig()` Get the ConnectionPoolConfig.
`HTTPFileCacheConfig` | `getHTTPFileCacheConfig()`
`java.util.Map` | `getHTTPListenerConfigMap()` Calls Container.getContaineeMap( XTypes.HTTP_LISTENER_CONFIG ).
`HTTPProtocolConfig` | `getHTTPProtocolConfig()`
`KeepAliveConfig` | `getKeepAliveConfig()`
`RequestProcessingConfig` | `getRequestProcessingConfig()` Get the RequestProcessingConfig.
`java.util.Map` | `getVirtualServerConfigMap()` Calls Container.getContaineeMap( XTypes.VIRTUAL_SERVER_CONFIG ).
`void` | `removeAccessLogConfig()` Removes access-log element.
`void` | `removeConnectionPoolConfig()` Removes connection-pool element.
`void` | `removeHTTPFileCacheConfig()` Removes http-file-cache element.
`void` | `removeHTTPListenerConfig(java.lang.String name)` Remove the <http-listener>.
`void` | `removeHTTPProtocolConfig()` Removes http-protocol element.
`void` | `removeKeepAliveConfig()` Removes keep-alive element.
`void` | `removeRequestProcessingConfig()` Removes request-processing element.
`void` | `removeVirtualServerConfig(java.lang.String virtualServerName)` Remove the <virtual-server>.

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getHTTPListenerConfigMap

    public java.util.Map getHTTPListenerConfigMap()

  Calls Container.getContaineeMap( XTypes.HTTP_LISTENER_CONFIG ).

  Returns:
    Map of all HTTPListenerConfig proxies, keyed by the name of the listener.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### getVirtualServerConfigMap

    public java.util.Map getVirtualServerConfigMap()

  Calls Container.getContaineeMap( XTypes.VIRTUAL_SERVER_CONFIG ).

  Returns:
    Map of all VirtualServerConfig proxies, keyed by the name of the virtual server.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createAccessLogConfig

    public AccessLogConfig createAccessLogConfig(java.util.Map params)

  Creates access-log element with the given params.

  Parameters:
    `params` -
  Returns:
    Proxy to the AccessLogConfig MBean
  See Also:
    `AccessLogConfigKeys`

### removeAccessLogConfig

    public void removeAccessLogConfig()

  Removes access-log element.

### createRequestProcessingConfig

    public RequestProcessingConfig createRequestProcessingConfig(java.util.Map params)

  Creates request-processing element with the given params.

  Parameters:
    `params` -
  Returns:
    Proxy to the RequestProcessingConfig MBean
  See Also:
    `RequestProcessingConfigKeys`

### removeRequestProcessingConfig

    public void removeRequestProcessingConfig()

  Removes request-processing element.

### getKeepAliveConfig

    public KeepAliveConfig getKeepAliveConfig()

  Returns:
    Proxy to the KeepAliveConfig MBean

### createKeepAliveConfig

    public KeepAliveConfig createKeepAliveConfig(java.util.Map params)

  Creates keep-alive element with the given params.

  Parameters:
    `params` -
  Returns:
    Proxy to the KeepAliveConfig MBean
  See Also:
    `KeepAliveConfigKeys`

### removeKeepAliveConfig

    public void removeKeepAliveConfig()

  Removes keep-alive element.

### createConnectionPoolConfig

    public ConnectionPoolConfig createConnectionPoolConfig(java.util.Map params)

  Creates connection-pool element with the given params.

  Parameters:
    `params` -
  Returns:
    the ObjectName of the ConnectionPoolConfig
  See Also:
    `ConnectionPoolConfigKeys`

### removeConnectionPoolConfig

    public void removeConnectionPoolConfig()

  Removes connection-pool element.

### getHTTPProtocolConfig

    public HTTPProtocolConfig getHTTPProtocolConfig()

  Returns:
    Proxy to the HTTPProtocolConfig MBean

### createHTTPProtocolConfig

    public HTTPProtocolConfig createHTTPProtocolConfig(java.util.Map params)

  Creates http-protocol element with the given params.

  Parameters:
    `params` -
  Returns:
    Proxy to the HTTPProtocolConfig MBean
  See Also:
    `HTTPProtocolConfigKeys`

### removeHTTPProtocolConfig

    public void removeHTTPProtocolConfig()

  Removes http-protocol element.

### getHTTPFileCacheConfig

    public HTTPFileCacheConfig getHTTPFileCacheConfig()

  Returns:
    Proxy to the HTTPFileCacheConfig MBean

### createHTTPFileCacheConfig

    public HTTPFileCacheConfig createHTTPFileCacheConfig(java.util.Map params)

  Creates http-file-cache element with the given params.

  Parameters:
    `params` -
  Returns:
    Proxy to the HTTPFileCacheConfig MBean
  See Also:
    `HTTPFileCacheConfigKeys`

### removeHTTPFileCacheConfig

    public void removeHTTPFileCacheConfig()

  Removes http-file-cache element.

### createHTTPListenerConfig

    public HTTPListenerConfig createHTTPListenerConfig(java.lang.String name,
                                                       java.lang.String address,
                                                       int port,
                                                       java.lang.String defaultVirtualServer,
                                                       java.lang.String serverName,
                                                       java.util.Map optional)

  Create an Parameters:
  - `HTTPListenerConfigKeys.ADDRESS_KEY`
  - `HTTPListenerConfigKeys.PORT_KEY`
  - `HTTPListenerConfigKeys.ENABLED_KEY`
  - `HTTPListenerConfigKeys.SECURITY_ENABLED_KEY`
  - `HTTPListenerConfigKeys.DEFAULT_VIRTUAL_SERVER_KEY`
  - `HTTPListenerConfigKeys.ACCEPTOR_THREADS_KEY`
  - `HTTPListenerConfigKeys.XPOWERED_BY_KEY`
  - `HTTPListenerConfigKeys.XPOWERED_BY_KEY`
  - `CommonConfigKeys.IGNORE_MISSING_REFERENCES_KEY` (for defaultVirtualServer)

  Parameters:
    `name` - the name (id) of the newly created listener
    `address` - IP address of the listener
    `port` - port of the listener
    `defaultVirtualServer` - The name of the default virtual server for this particular connection group.
    `serverName` -
    `optional` - optional parameters keyed by one of XXX_KEY
  Returns:
    A proxy to the HTTPListenerConfig MBean
  See Also:
    `HTTPListenerConfigKeys`

### removeHTTPListenerConfig

    public void removeHTTPListenerConfig(java.lang.String name)

  Remove the <http-listener>. Will fail if the <http-listener> is referred to by other elements.

  Parameters:
    `name` - the name (id) of the http listener to be removed.

### createVirtualServerConfig

    public VirtualServerConfig createVirtualServerConfig(java.lang.String name,
                                                         java.lang.String hosts,
                                                         java.util.Map optional)

  Create a . Most fields will default to reasonable values. Legal keys include:
  `VirtualServerConfigKeys.HTTP_LISTENERS_KEY` `VirtualServerConfigKeys.STATE_KEY` `VirtualServerConfigKeys.DOC_ROOT_PROPERTY_KEY` `VirtualServerConfigKeys.ACCESS_LOG_PROPERTY_KEY`

  Parameters:
    `name` - the name (id) of the newly created virtual server
    `hosts` - comma-separated list of hosts
    `optional` - optional params
  Returns:
    A proxy to the VirtualServerConfig MBean.
  See Also:
    `VirtualServerConfigKeys`

### removeVirtualServerConfig

    public void removeVirtualServerConfig(java.lang.String virtualServerName)

  Remove the <virtual-server>. Will fail if the <virtual-server> is referred to by other elements.

  Parameters:
    `virtualServerName` -

### getAccessLogConfig

    public AccessLogConfig getAccessLogConfig()

  Get the AccessLogConfig.

### getRequestProcessingConfig

    public RequestProcessingConfig getRequestProcessingConfig()

  Get the RequestProcessingConfig.

### getConnectionPoolConfig

    public ConnectionPoolConfig getConnectionPoolConfig()

  Get the ConnectionPoolConfig.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.